Bug 993565 - jBPM Designer needs to be in sync with the EAP dependencies and remove dead dependencies
jBPM Designer needs to be in sync with the EAP dependencies and remove dead d...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0.0
Assigned To: Tihomir Surdilovic
Marek Baluch
:
Depends On:
Blocks: 989519
  Show dependency treegraph
 
Reported: 2013-08-06 03:58 EDT by Geoffrey De Smet
Modified: 2014-08-06 16:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoffrey De Smet 2013-08-06 03:58:25 EDT
Requirements:
A) Any pom.xml file in droolsjbpm should not declare <version>, except for kie-dependency-with-dependencies. This way, all droolsjbpm modules work with the same version of a dependency and are certain to be compatible.
B) All dependencies that are also a dependency of EAP must use the same version EAP.

Designer, specifically the module jbpm-designer-backend, doesn't adhere to these requirements yet.

Recommended steps for jbpm-designer-backend:
1) Remove all dead dependencies first
2) Make a list of all dependencies that are not yet specified in kie-dependency-with-dependencies. Add them to kie-dependency-with-dependencies.
3) Compare that list with EAP's dependencies. If EAP uses a different version, specify the EAP version in kie-dependency-with-dependencies and temporarly overwrite it in the designer module with the designer's version.
4) The designer module will now only have <version> element that overwrite the version defined by kie-dependency-with-dependencies (which is in sync with EAP). Rmove all those <version> elements and fix any issues.

If 4) is not entirely possible, make a formal request to productization (dpalmer) for each dependency that is not in sync with EAP.
Comment 2 Geoffrey De Smet 2013-08-07 04:44:52 EDT
Here's the list of new dependencies in the parent pom (coming from designer) that we need to double check if EAP has them (and if so if the versions match):

com.google.javascript: closure-compiler
org.supercsv: SuperCSV
org.apache.xmlgraphics: xmlgraphics-commons
batik: batik-parser
batik: batik-transcoder
batik: batik-extension
batik: batik-dom
batik: batik-xml
batik: batik-bridge
batik: batik-svg-dom
batik: batik-svggen
batik: batik-util
batik: batik-ext
batik: batik-script
batik: batik-gvt
batik: batik-awt-util
org.apache.xmlgraphics: fop
org.xmappr: xmappr
rhino:js
org.eclipse: osgi
avalon-framework: avalon-framework
org.apache.abdera: abdera-i18n
commons-configuration: commons-configuration
org.jbpm.jbpm5: jbpmmigration
Comment 3 Geoffrey De Smet 2013-08-07 06:18:59 EDT
mbiarnes has checked this new list of dependencies. Only commons-configuration was used by EAP (commons-configuration-1.6-redhat-2.jar) and our parent pom also using 1.6.

Issue fixed on master
https://github.com/droolsjbpm/droolsjbpm-build-bootstrap/commit/5d012f7cb536c8969936b0af1e098808a2af42d5
https://github.com/droolsjbpm/droolsjbpm-build-bootstrap/commit/dbde796f3cd1ec90995f727bcb10abb527cef44e
and 6.0.x.
Comment 4 Marek Baluch 2013-09-04 06:51:15 EDT
Verified on ER2.

Note You need to log in before you can comment on or make changes to this bug.